Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class ModelEntityId

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.OrgModelVersion
          com.tibco.bpm.web.client.model.types.org.ModelEntityId

Direct Known Subclasses:
  UpdatePushDestinations

    public class ModelEntityId

extends OrgModelVersion

TODO Give a useful description of the type.

©2013 TIBCO Software Inc.

Since:
  3.0

Constructor Summary
`ModelEntityId()`

Method Summary
`java.lang.String` | `getEntityType()`
`java.lang.String` | `getGuid()`
`java.lang.String` | `getQualifier()`
`java.util.List<QualifierSet>` | `getQualifierSet()`
`void` | `setEntityType(java.lang.String entityType)`
`void` | `setGuid(java.lang.String guid)`
`void` | `setQualifier(java.lang.String qualifier)`
`void` | `setQualifierSet(java.util.List<QualifierSet> qualifierSet)`

Methods inherited from class com.tibco.bpm.web.client.model.types.org.OrgModelVersion
`getModelVersion, setModelVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelEntityId

    public ModelEntityId()

Method Detail

### getQualifierSet

    public java.util.List<QualifierSet> getQualifierSet()

### setQualifierSet

    public void setQualifierSet(java.util.List<QualifierSet> qualifierSet)

### getEntityType

    public java.lang.String getEntityType()

### setEntityType

    public void setEntityType(java.lang.String entityType)

### getGuid

    public java.lang.String getGuid()

### setGuid

    public void setGuid(java.lang.String guid)

### getQualifier

    public java.lang.String getQualifier()

### setQualifier

    public void setQualifier(java.lang.String qualifier)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.